Bug 457806 - Review Request: python-chardet - Character encoding auto-detection in Python
Review Request: python-chardet - Character encoding auto-detection in Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
: 492612 (view as bug list)
Depends On:
Blocks: 956417
  Show dependency treegraph
 
Reported: 2008-08-04 14:50 EDT by kushaldas@gmail.com
Modified: 2013-04-25 11:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-13 14:18:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description kushaldas@gmail.com 2008-08-04 14:50:43 EDT
Spec URL: http://kushal.fedorapeople.org/packages/python-chardet.spec
SRPM URL: http://kushal.fedorapeople.org/packages/python-chardet-1.0.1-1.fc9.src.rpm
Description: Character encoding auto-detection in Python. As smart as your browser. Open source.
Comment 1 Parag AN(पराग) 2008-08-05 01:08:32 EDT
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=758670
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
f8c510a6fac300fe0ac9a0c24a76a7ba  chardet-1.0.1.tgz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI App.

Suggestions:
   * Add docs/* directory from source to %doc
   * As all source files also include License text your license should be LGPLv2+
    
APPROVED.
Comment 2 kushaldas@gmail.com 2008-08-05 01:19:14 EDT
(In reply to comment #1)
> 
> Suggestions:
>    * Add docs/* directory from source to %doc
>    * As all source files also include License text your license should be
> LGPLv2+
Changes made :)
Comment 3 kushaldas@gmail.com 2008-08-05 01:24:28 EDT
New Package CVS Request
=======================
Package Name: python-chardet
Short Description: Character encoding auto-detection in Python 
Owners: kushal
Branches: F-9 EL-5
InitialCC: kushal
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-08-05 12:27:55 EDT
cvs done.
Comment 5 kushaldas@gmail.com 2009-04-13 02:08:53 EDT
New Package CVS Request
=======================
Package Name: python-chardet
Short Description: Character encoding auto-detection in Python 
Owners: kushal
Branches: F-10
InitialCC: kushal
Cvsextras Commits: yes
Comment 6 kushaldas@gmail.com 2009-04-13 02:16:56 EDT
*** Bug 492612 has been marked as a duplicate of this bug. ***
Comment 7 Kevin Fenzi 2009-04-13 11:42:17 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.